petris_1.0.1-8_amd64.deb


Advertisement

Description

petris - Peter's Tetris - a Tetris(TM) clone

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: petris
Package version: 1.0.1
Package release: 8
Package architecture: amd64
Package type: deb
Installed size: 104 B
Download size: 16.38 KB
Official Mirror: ftp.br.debian.org
Petris supports colours and even features a highscore list.

Alternatives

    Download

    Binary package: petris_1.0.1-8_amd64.deb
    Source package: petris

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install petris deb package:
      # sudo apt-get install petris

    Files

    • /usr/games/petris
    • /usr/share/doc/petris/README.gz
    • /usr/share/doc/petris/changelog.Debian.gz
    • /usr/share/doc/petris/copyright
    • /usr/share/man/man6/petris.6.gz
    • /usr/share/menu/petris
    • /usr/share/pixmaps/petris-icon.xpm

    Changelog

    2008-10-03 - Andree Leidenfrost <andree@debian.org> petris (1.0.1-8) unstable; urgency=low * Removed hard-coded strip option from install command in rules file. (Closes: #437769.) * Changed menu location to Games/Blocks to be in line with current menu policy (version 3.8.0). * Fixed make clean command in rules file. (Fixes lintian warning.) * Changed standards version to 3.8.0 with no further changes other than the above.

    2006-10-03 - Andree Leidenfrost <andree@debian.org> petris (1.0.1-7) unstable; urgency=low * Amended copyright file to reflect the fact that there is currently no upstream download location.

    2006-08-31 - Andree Leidenfrost <andree@debian.org> petris (1.0.1-6) unstable; urgency=low * Changed maintainer email address to andree@debian.org. * Changed standards version from 3.6.2 to 3.7.2 without package changes. (Fixes lintian warning.) * Increased package compatibility level to 5 and build-depend on debhelper >= 5.0 accordingly. * Removed spurious debian/substvars file. (Fixes lintian warning.)

    2006-01-10 - Andree Leidenfrost <aleidenf@bigpond.net.au> petris (1.0.1-5) unstable; urgency=high * Integrated fix by Security Team for buffer overflow of environmental variable when processing highscores. [CVE-2005-3540] (Hence urgency=high.) * Changed standards version from 3.6.1 to 3.6.2 without package changes. * Add compat file to avoid warning when building package. * Install directory under debian is now $package, not tmp - adjust rules accordingly. * Initialised 'points.level' in function 'check_lines' (game.c). Avoids compiler warning.

    2004-10-06 - Andree Leidenfrost <aleidenf@bigpond.net.au> petris (1.0.1-4) unstable; urgency=low * Fixed compiler warnings. * Added icon for menu. * Bumped dephelper version to 4.2.20.

    2004-07-06 - Andree Leidenfrost <aleidenf@bigpond.net.au> petris (1.0.1-3) unstable; urgency=low * Check outcome of getch() function call to avoid infinite loop in case hosting terminal dies (Closes: #256265)

    2004-06-13 - Andree Leidenfrost <aleidenf@bigpond.net.au> petris (1.0.1-2) unstable; urgency=low * Added build dependency for libncurses5-dev (Closes: #253614) * Changed CFLAGS in rules to turn on debugging symbols using '-g' * Changed CFLAGS in rules to turn on more extensive warnings using '-W' * Pass CFLAGS to get make to actually honour the build flags (thanks Goswin von Brederlow for pointing this out) * Set architecture to 'any' (fingers crossed) * Updated standards to 3.6.1 (fixes lintian warning) * Call petris directly in menu rather than using 'sh -c' (fixes lintian warning) * Make sure that /var/games exists by adding it to dirs

    2004-04-25 - Andree Leidenfrost <aleidenf@bigpond.net.au> petris (1.0.1-1) unstable; urgency=low * Initial Release.

    Advertisement
    Advertisement